package cn.yw.archive.companymanage.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywarchivecompanypersonDao")
public class YwarchivecompanypersonDao  extends BaseSqlMapDAO{


	/**
	 * 增加记录
	 */
	public void insert_Ywarchivecompanyperson(Map map) throws SQLException{
		this.insert("insert_Ywarchivecompanyperson",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Ywarchivecompanyperson(List batch) throws SQLException{
		this.insert("batch_insert_Ywarchivecompanyperson",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywarchivecompanyperson(Map map) throws SQLException{
		return this.update("update_Ywarchivecompanyperson",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywarchivecompanyperson(Map map) throws SQLException{
		return this.delete("delete_Ywarchivecompanyperson",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Ywarchivecompanyperson(Map map) throws SQLException{
		return this.delete("batch_delete_Ywarchivecompanyperson",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywarchivecompanyperson(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywarchivecompanyperson",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Ywarchivecompanyperson(Map map) throws SQLException{
		return this.queryForPage("query_Ywarchivecompanyperson",map);
	}
	
	/**
	 * 查询列表记录
	 */
	/*
	public Map get_Ywarchivecompanyperson(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywarchivecompanyperson",map);
	}
	*/
}
